import request from '/@/utils/request';

export function teamManageApi() {
    return {
        //班组分页列表
        getRecordPage: (data: object)=>{
            return request({
                url: `/schedule/group/page/list`,
                method: 'post',
                data: data
            })
        },

        //班组列表
        getRecord: (data: object)=>{
            return request({
                url: `/schedule/group/list`,
                method: 'post',
                data: data
            })
        },

        //班组-班组成员分页列表
        getAllRecordPage: (data: object)=>{
            return request({
                url: `/schedule/group/member/page/list`,
                method: 'post',
                data: data
            })
        },

        //所有部门列表
        getAllDepartment: ()=>{
            return request({
                url: `/department/list`,
                method: 'post'
            })
        },


        //用户-部门所有用户
        getAllMember: (data: number)=>{
            return request({
                url: `/account/dep/list?depId=${data}`,
                method: 'get',
                data: data
            })
        },

        // 班组-班组成员列表
        getAllRecord: (data: object)=>{
            return request({
                url: `/schedule/group/member/list`,
                method: 'get',
                data: data
            })
        },

        // 班组新增
        addRecord: (data: object)=>{
            return request({
                url: `/schedule/group/add`,
                method: 'post',
                data: data
            })
        },

        // 班组修改
        updateRecord: (data: object)=>{
            return request({
                url: `/schedule/group/mod`,
                method: 'post',
                data: data
            })
        },

        // 班组删除
        deleteRecord: (data: object)=>{
            return request({
                url: `/schedule/group/del`,
                method: 'post',
                data: data
            })
        },

        // 时间策略批量删除
        // deletBatchRecord: (data: object)=>{
        //     return request({
        //         url: `/timeStrategy/deleteBatchTimeStrategy`,
        //         method: 'post',
        //         data: data
        //     })
        // },
    };
}
